← OBPv7.0.0 Get Group Entitlements GET /obp/v7.0.0/management/groups/GROUP_ID/entitlements OBPv6.0.0-getGroupEntitlements Roles: CanGetEntitlementsForAnyBank GroupEntitlement Get all entitlements that have been granted from a specific group. This returns all entitlements where the group_id matches the specified GROUP_ID. Requires: CanGetEntitlementsForAnyBank User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: GROUP_ID: GROUP_ID JSON response body fields (8) bank_id gh.29.ukcreated_by_process created_by_processentitlement_id entitlements role_name user_id 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1username felixsmithgroup_id group_id Example success response { "entitlements": [ { "entitlement_id": "entitlement-id-123", "role_name": "CanGetCustomer", "bank_id": "gh.29.uk", "user_id": "user-id-123", "username": "susan.uk.29@example.com", "group_id": "group-id-123", "created_by_process": "GROUP_MEMBERSHIP" } ] } Possible errors (3) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-50000: Unknown Error.